extern "C"
typedef struct {
        cudaEvent_t start;
        cudaEvent_t stop;
        float* et;
} cudaTimer_t;

extern "C" void createTimer(cudaTimer_t* timer);
extern "C" void deleteTimer(cudaTimer_t timer);
extern "C" void resetTimer(cudaTimer_t* timer);
extern "C" void startTimer(cudaTimer_t timer);
extern "C" void stopTimer(cudaTimer_t timer);
extern "C" float getTimerValue(cudaTimer_t timer);
